import java.util.Map;
HashMap<Integer, Boolean> keymap;

void setup(){
  size(800, 800, P3D);
  keymap = new HashMap<Integer,Boolean>();
  keymap.put(LEFT, false);
  keymap.put(RIGHT, false);
  keymap.put(UP, false);
  keymap.put(DOWN, false);
}

float T = 0.01;

void keyPressed(){
  keymap.put(keyCode, true);
}

void keyReleased(){
  keymap.put(keyCode, false);
}

void draw(){
  noStroke();
  background(50);
  for(int i = 0; i < 800; i+=15){
    for(int j = 0; j < 800; j+=15){
      pushMatrix();
      translate(i, j, 200);
      box(5);
      popMatrix();
    }
  }
  
  beginCamera();
  if(keymap.get(LEFT)){
    rotateY(T);
  } else if (keymap.get(RIGHT)){
    rotateY(-T);
  } else if (keymap.get(UP)){
    rotateX(T); 
  } else if (keymap.get(DOWN)){
    rotateX(-T); 
  }
  endCamera();
  println(frameRate);
}
